﻿using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;
using System.Collections;

public class EndScreen : MonoBehaviour {

	public Text txtRevenue;
	public Text txtConstruction;
	public Text txtDividends;
	public Text txtCash;
	public Text txtShare;
	public Text txtGrade;

	// Use this for initialization
	void Start () {
	
		txtRevenue.text = "$"+StatsManager.current.revenue.ToString()+"m";
		txtConstruction.text = "$"+StatsManager.current.construction.ToString()+"m";
		txtDividends.text = "$"+StatsManager.current.dividends.ToString()+"m";
		txtCash.text = "$"+StatsManager.current.cash.ToString() + "m";
		txtShare.text = "$"+StatsManager.current.share_price.ToString("N2");

		txtGrade.text = "F";
		if(StatsManager.current.share_price > 9000)
			txtGrade.text= "SSS";
		else if(StatsManager.current.share_price > 5000)
			txtGrade.text = "SS";
		else if(StatsManager.current.share_price > 2000)
			txtGrade.text = "S";
		else if(StatsManager.current.share_price > 1000)
			txtGrade.text = "A+";
		else if(StatsManager.current.share_price > 750)
			txtGrade.text = "A";
		else if(StatsManager.current.share_price > 500)
			txtGrade.text = "B+";
		else if(StatsManager.current.share_price > 400)
			txtGrade.text = "B";
		else if(StatsManager.current.share_price > 250)
			txtGrade.text = "C+";
		else if(StatsManager.current.share_price > 100)
			txtGrade.text = "C";
		else if(StatsManager.current.share_price > 50)
			txtGrade.text = "D";

	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public void PlayAgain() {
		SceneManager.LoadScene("_SCENE_");
	}

	public void Exit() {
		Application.Quit();
	}

	public void Quill18DotCom() {
		Application.OpenURL("http://quill18.com");
	}

	public void Investors() {
		SceneManager.LoadScene("_SCENE_CREDITS_");
	}
}
