﻿using UnityEngine;
using UnityEngine.UI;
using UnityEngine.EventSystems;
using System.Collections;

public class TooltipText : MonoBehaviour, IPointerEnterHandler, IPointerExitHandler {

	public string text = "Discard 2 Cards";

	void OnMouseEnter() {
		Tooltip.current.gameObject.SetActive(true);
		Tooltip.current.GetComponentInChildren<Text>().text = text;
	}

	void OnMouseExit() {
		Tooltip.current.gameObject.SetActive(false);
	}

	public void OnPointerExit(PointerEventData eventData) {
		Tooltip.current.gameObject.SetActive(false);

	}

	public void OnPointerEnter(PointerEventData eventData) {
		Tooltip.current.gameObject.SetActive(true);
		Tooltip.current.GetComponentInChildren<Text>().text = text;

	}

}
