﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class DontDestroy : MonoBehaviour {

	Color32 colorOn = new Color32(38, 45, 82, 255);
	Color32 colorOff = new Color32(178,178,178,255);

	static bool musicState = true;

	// Use this for initialization
	void Start () {
		//GameObject.DontDestroyOnLoad(gameObject);

		if(musicState == false)
			ToggleMute();
	}

	public void ToggleMute() {
		if( GetComponent<AudioSource>().isPlaying ) {
			// Someone hates MY music?!?

			musicState = false;
			GetComponent<AudioSource>().Stop();
			GameObject.Find("MusicPlayingIcon").GetComponent<Image>().color = colorOff;

		}
		else {
			musicState = true;
			GetComponent<AudioSource>().Play();
			GameObject.Find("MusicPlayingIcon").GetComponent<Image>().color = colorOn;

		}
	}
	
}
