﻿using UnityEngine;
using System.Collections;

public class StatsManager : MonoBehaviour {

	public int revenue = 0;
	public int construction = 0;
	public int dividends = 0;
	public int cash = 0;
	public float share_price = 0;

	static StatsManager _current;
	public static StatsManager current {
		get { 
			if(_current == null) {
				_current = GameObject.FindObjectOfType<StatsManager>();
			}
			return _current; 
		}
	}

	// Use this for initialization
	void Start () {
		if(_current != null && _current != this) {
			// Highlander code
			Destroy(gameObject);
			return;
		}			

		_current = this;
		GameObject.DontDestroyOnLoad(gameObject);
	}

	public void Reset() {
		int revenue = 0;
		int construction = 0;
		int dividends = 0;
		int cash = 0;
		float share_price = 0;
	}
}
